# -*- Perl -*-
#
# errorRaiz-1.pl - error porcentual en la raiz
#

use POSIX;

sub redondeo{
    my $arg=shift;
    return $arg<0 ? -int(abs($arg)+0.555) : int($arg+0.555);
}

# Raiz de la funcion Lane-Emden n=1, Xo=pi
$Xo=3.14159265358979324;

# Ingresar x
$x=<STDIN>;
chop($x);

# Error porcentual expresado como pow(10,error)
$ep=redondeo(log10(abs(($x-$Xo)*100.0/$Xo)));
print STDOUT $ep<-10 ? "0" : "1";

