# -*- Perl -*-
#
# errorRaiz-2.pl - error porcentual en la raiz
#

use POSIX;

sub redondeo{
    my $arg=shift;
    return $arg<0 ? -int(abs($arg)+0.555) : int($arg+0.555);
}

# Raiz de la funcion Lane-Emden n=1.5
# http://arxiv.org/abs/astro-ph/0402130v1
$Xo=3.653753736219119;

# Ingresar x
$x=<STDIN>;
chop($x);

# Error porcentual expresado como pow(10,error)
$ep=redondeo(log10(abs(($x-$Xo)*100.0/$Xo)));
print STDOUT $ep<-10 ? "0" : "1";
