# -*- Perl -*-
#
# errorDerivada.pl - error porcentual en la derivada
#

use POSIX;

sub redondeo{
    my $arg=shift;
    return $arg<0 ? -int(abs($arg)+0.555) : int($arg+0.555);
}

# Derivada de la funcion Lane-Emden n=1 evaluada en la raiz, y'(Xo)=-1/pi
$dyXo=-0.31830988618379067;

# Ingresar x
$x=<STDIN>;
chop($x);

# Error porcentual expresado como pow(10,error)
$ep=redondeo(log10(abs(($x-$dyXo)*100.0/$dyXo)));
print $ep<-8 ? "0" : "1";
